Home » gem » rails5でbootstrap4-alpha(4.0.6)の実行環境

rails5でbootstrap4-alpha(4.0.6)の実行環境

環境

  • ruby2.4.1
  • rails5.1.3
  • centos

 

gem 'bootstrap', '~> 4.0.0.alpha6'
gem 'jquery-rails''

gemをインストールします:

bundle (bundle install 省略形)

bootstrapを使う設定をします:
※cssをscssを変更してください

// コメントは必要なくなるので消しましょう
@import "bootstrap";
//= require rails-ujs
//= require turbolinks
//= require jquery
//= require bootstrap
//= require_tree .

application.jsでは読み込む順番で動かなくなることがあるので注意してください。

では実際に使ってみます。


<div class="btn btn-primary">ボタン</div>

ボタン

追記
他にもcss系フレームワークが存在するのでbootstrapは一つ選択として捉えていいと思います。

, , , ,

コメントを残す

%d人のブロガーが「いいね」をつけました。